websocket-sharp System.Object Provides a simple HTTP server that allows to accept the WebSocket connection requests.

The HttpServer class provides the multi WebSocket service.

The HttpServer class needs the application configuration file to configure the server root path.

`<?xml version="1.0" encoding="utf-8"?> <configuration> <appSettings> <add key="RootPath" value="./Public" /> </appSettings> </configuration>` `<?xml version="1.0" encoding="utf-8"?> <configuration> <appSettings> <add key="RootPath" value="../../Public" /> </appSettings> </configuration>`
- Constructor
  Initializes a new instance of the class that listens for incoming requests on port 80.
  To be added.
- Constructor
  An that contains a port number.
  Initializes a new instance of the class that listens for incoming requests on the specified .
  To be added.
- Method
  System.Void DefaultConstructorConstraint WebSocketSharp.Server.WebSocketService `` The type of the WebSocket service. The T must inherit the class. A that contains an absolute path associated with the WebSocket service. Adds the specified type WebSocket service. To be added.
- Method
  System.Byte[] `` A that contains a virtual path to the file to get. Gets the contents of the specified file. An array of that contains the contents of the file. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP CONNECT request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP DELETE request. To be added.
- Event
  System.EventHandler<WebSocketSharp.ErrorEventArgs> Occurs when the server gets an error. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP GET request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP HEAD request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP OPTIONS request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP PATCH request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP POST request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP PUT request. To be added.
- Event
  System.EventHandler<WebSocketSharp.Server.HttpRequestEventArgs> Occurs when the server receives an HTTP TRACE request. To be added.
- Property
  System.Int32 Gets the port on which to listen for incoming requests. An that contains a port number. To be added.
- Property
  System.Collections.Generic.IEnumerable<System.String> Gets the collection of paths associated with the every WebSocket services that the server provides. An IEnumerable<string> that contains the collection of paths. To be added.
- Method
  System.Void Starts the . To be added.
- Method
  System.Void Shuts down the . To be added.
- Property
  System.Boolean Gets or sets a value indicating whether the server cleans up the inactive WebSocket service instances periodically. true if the server cleans up the inactive WebSocket service instances every 60 seconds; otherwise, false. The default value is true. To be added.